<?php

namespace app\admin\controller;

use app\admin\logic\AdminorderLogic;
use app\admin\logic\StatcubLogic;
use app\common\model\Order as CommonOrder;
use app\common\model\Pay;
use app\common\model\Client_;
use think\Db;

class Adminorder extends AdminBase
{
    /**
     * Notes: 保洁订单列表
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function cleaning(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::cleaning($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('num',StatcubLogic::Usercleaning());
    
        $this->assign('admin',$admin);
        
        return $this->fetch();
    }
    /**
     * Notes: 收纳整理
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function storage(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::storage($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
    }
    /**
     * Notes: 深度清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function depth(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::depth($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
    }
      /**
     * Notes: 宠物保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function pet(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::pet($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
    }  
    /**
     * Notes: 做饭到家
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function cooking(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::cooking($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
    }  
    
    /**
     * Notes: 粗开荒保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function thick(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::thick($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }
    /**
     * Notes: 细开荒保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function fine(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::fine($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }
      /**
     * Notes: 搬家货运
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function move(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::move($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }  
    /**
     * Notes: 搬家货运
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function detection(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::detection($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }  
    
    /**
     * Notes: 空气治理
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function governance(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::governance($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }  
    
     /**
     * Notes: 家电清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function wash(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::wash($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }  
    
    
     /**
     * Notes: 家电清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function linen(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::linen($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }  
    /**
     * Notes: 宠物保洁订单
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function pets(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', AdminorderLogic::pets($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
        
    }       
    
     
    
    
    
    
    
}